--- a/kupfer/ui/browser.py	2019-08-08 10:39:09.295861920 +0200
+++ b/kupfer/ui/browser.py	2019-08-08 10:39:58.751499948 +0200
@@ -11,12 +11,22 @@
 from gi.repository import GLib, Gio, Pango
 from gi.repository import GdkPixbuf
 
+# try loading Ayatana AppIndicator first
 try:
-    gi.require_version("AppIndicator3", "0.1")
+    gi.require_version("AyatanaAppIndicator3", "0.1")
 except ValueError:
     AppIndicator3 = None
 else:
-    from gi.repository import AppIndicator3
+    from gi.repository import AyatanaAppIndicator3 as AppIndicator3
+
+# if that fails, try falling back to Ubuntu's AppIndicator
+if AppIndicator3 == None:
+    try:
+        gi.require_version("AppIndicator3", "0.1")
+    except ValueError:
+        AppIndicator3 = None
+    else:
+        from gi.repository import AppIndicator3
 
 import cairo
 
